﻿@model EditVersion
@using SiteGuide.Service.Helpers
@using SiteGuide.Web.Controllers
@using SiteGuide.Web.Helpers
@using SiteGuide.DAL.Models
@using SiteGuide.Service.Extensions
@using SiteGuide.Service.Identifiers

<hr />
<h4>
    @Model.EditVersionNumber <partial name="_EditStatus" />
</h4>
@if (Permissions.MaySeeAuthorName(User))
{
    <text>Author: @Model.AuthorName</text>
}
@if (Model.AuthorRole != null && Model.AuthorRole != "Unprivileged")
{
    <span>as </span>
    <span class="badge badge-dark">@Model.AuthorRole</span>
}
<br />
Created: @LocalTimeHelper.LocalTime(Model.InitialisedTime)
<br />
@if (Model.SubmittedTime != null)
{
    <text>Submitted: </text>

    @LocalTimeHelper.LocalTime((DateTime)Model.SubmittedTime)
    <br />
}
@if (!string.IsNullOrEmpty(Model.Comment))
{
    <span>Comment:</span>
    <blockquote>@Model.Comment</blockquote>
}
